Subject: Re: Amanita phalloides - not in my back yard!

From: [email-masked] (WHoff26753)
Date: 9 Jul 1995 15:07:04 -0400

In fact the growth of amanita has been found in our yard under a large
oak tree.  It would be difficult to cut down this tree, which is close to
one hundred feet high, and there are adjacent trees all over the lot.  In
addition, it seems that cutting down the tree would still leave an
extensive root system and plenty of mycorhizal opportunities.
    We appreciate your suggestions, in particular the possibility of
competing species from Nathan Wilson.  We have tried fungicide once but
had fruiting Amanita within a week.  Any other ideas would be welcomed.